# dmd.backend.iasm

Declarations for ptrntab.d, the instruction tables for the inline assembler.

#### Authors

Mike Cote, John Micco, Walter Bright,

#### License

Boost License 1.0

Source: backend/`iasm`.d

Documentation: https://dlang.org/phobos/dmd_backend_iasm.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/backend/iasm.d

- `_modrm`

  #### Declaration

  `enum int `_modrm`;`

- `opflag_t`

  #### Declaration

  `alias `opflag_t` = uint;`

- `CONSTRUCT_FLAGS`

  #### Declaration

  `nothrow @nogc opflag_t `CONSTRUCT_FLAGS`(uint `uSizemask`, uint `aopty`, uint `amod`, uint `uRegmask`);`

  FLAGS /////////////////////////////////////

- `getOpndSize`

  #### Declaration

  `nothrow @nogc OpndSize `getOpndSize`(opflag_t `us`);`

  Extract OpndSize from opflag_t.